## org.hornetq.rest.topic
Class FileTopicPushStore

    java.lang.Object
      org.hornetq.rest.queue.push.FilePushStore
          org.hornetq.rest.topic.FileTopicPushStore

All Implemented Interfaces:
  PushStore, TopicPushStore

    public class FileTopicPushStore

extends FilePushStore
implements TopicPushStore

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.hornetq.rest.queue.push.FilePushStore
`ctx, dir, map`

Constructor Summary
`FileTopicPushStore(java.lang.String dirname)`

Method Summary
`java.util.List<PushTopicRegistration>` `getByTopic(java.lang.String topic)`

Methods inherited from class org.hornetq.rest.queue.push.FilePushStore
`add, getByDestination, getRegistrations, remove, removeAll, save, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hornetq.rest.queue.push.PushStore
`add, getByDestination, remove, removeAll, update`

Constructor Detail

### FileTopicPushStore

    public FileTopicPushStore(java.lang.String dirname)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getByTopic

    public java.util.List<PushTopicRegistration> getByTopic(java.lang.String topic)

  Specified by:
    `getByTopic` in interface `TopicPushStore`

Copyright © 2013. All Rights Reserved.